Subject: bug#29059: network-manager-service extension package not fully functional

From: [email-masked] (Ludovic Courtès)
Date: Sun, 12 Nov 2017 22:37:27 +0100

ng0 <[email-masked]> skribis:

> I have come to the conclusion (logs will be reproduced next week and added)
> that network-manager-openvpn might not be functional when
> used with the network-manager service, as
> network-manager-vpnc is structured in a similar way
> and it's similar structured in code and how it's being
> activated.
>
> I can only test the case for vpnc as I'm debugging
> the package right now. It kind-of-works, but the rule
> is not being found when you try to activate the
> vpnc connection.

Could you clarify a bit what you think is broken?

VPN extensions are definitely found (as can be seen for instance in
‘nm-connection-editor’) in my experience with a config like this:

           (network-manager-service-type
            config =>
            (network-manager-configuration
             (inherit config)
             (vpn-plugins (list (specification->package+output
                                 "network-manager-openvpn")))))

Thanks,
Ludo’.